Loading...
Searching...
No Matches
Matrix.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/Invariant.h>`
`#include "Vector.h"`
`#include <iomanip>`
`#include <cstring>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDNumeric::Matrix< TYPE >
| A matrix class for general, non-square matrices. More...

## Namespaces

namespace | RDNumeric

## Typedefs

typedef Matrix< double > | RDNumeric::DoubleMatrix

## Functions

template<class TYPE>
Matrix< TYPE > & | RDNumeric::multiply (const Matrix< TYPE > &A, const Matrix< TYPE > &B, Matrix< TYPE > &C)
| Matrix multiplication.
template<class TYPE>
Vector< TYPE > & | RDNumeric::multiply (const Matrix< TYPE > &A, const Vector< TYPE > &x, Vector< TYPE > &y)
| Matrix-Vector multiplication.
template<class TYPE>
std::ostream & | operator<< (std::ostream &target, const RDNumeric::Matrix< TYPE > &mat)
| ostream operator for Matrix's

## Function Documentation

## operator<<()

template<class TYPE>

std::ostream & operator<< | ( | std::ostream & | target,
|  | const RDNumeric::Matrix< TYPE > & | mat )

ostream operator for Matrix's

Definition at line 348 of file Matrix.h.

References RDNumeric::Matrix< TYPE >::getVal(), RDNumeric::Matrix< TYPE >::numCols(), and RDNumeric::Matrix< TYPE >::numRows().